
QGIS Application - Bug report #3635

v.db.what.connect does not work

2011-03-17 07:49 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13694

Description

v.db.connect map=contour_high@paolo =line =1 -p

Vector map  is connected by:

layer  table  in database  through driver  with key 

Successfully finished

History

#1 - 2011-03-24 01:15 AM - Paolo Cavallini

The same command works from the shell:

v.db.connect map=strade@paolo =line =1 -p

GRASS_INFO_MESSAGE(13126,1): Vector map <strade@paolo> is connected by:

GRASS_INFO_END(13126,1)

layer <1> table <strade> in database </home/Documenti/datigrass/Toscana/paolo/dbf/> through driver <dbf> with key <cat>

I suspect GRASS_INFO_END interferes here.

#2 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-02-24 03:57 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master

Also, v.db.connect -p does not display parameters between "< >"

v.db.connect map=province@paolo -p

Vector map  is connected by:

layer  table  in database  through driver  with key
From the shell:

v.db.connect map=province@paolo -p

GRASS_INFO_MESSAGE(20127,1): Vector map <province@paolo> is connected by:

GRASS_INFO_END(20127,1)

layer <1> table <province> in database </home/paolo/grass/Toscana/paolo/dbf/> through driver <dbf> with key <cat>

#4 - 2012-04-16 06:26 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-05-01 12:37 AM - Paolo Cavallini

- Assignee deleted (Paolo Cavallini)

#7 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-11-20 08:39 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

this is fixed in QGIS 2.13 master. This is the result of v.db.what.connect on a GRASS layer:

v.db.connect map=VOIE_TRONCON_L@OSM_VELO -p

layer <1> table <VOIE_TRONCON_L> in database <C:\\Temp\\GRASS\\NANTES_METROPOLE\\OSM_VELO\\dbf\\> through driver <dbf> with

key <cat>

Vector map <VOIE_TRONCON_L@OSM_VELO> is connected by:

Successfully finished

I am closing this bug.
